--[[
Author: Jarth
Filename: SummonAssistant_Constants.lua
]] --

-------------------------------------------------------------------------------------------------
-- VARIABLES --
-------------------------------------------------------------------------------------------------
SummonAssistant = {}
local baseModule = SummonAssistant
local sharedBaseModule = JarthSharedBase

baseModule.Addon = {
    Name = "SummonAssistant",
    DisplayName = "Summon Assistant",
    Version = 1.7,
    MinorVersion = 0.1,
    SlashCommand = "/sa",
    Author = "Jarth",
    Website = ""
}
baseModule.WM = GetWindowManager()
baseModule.Frame = SummonAssistant_Frame
baseModule.Buttons = {}
baseModule.Fragment = nil
baseModule.Default = {
    Left = CENTER,
    Top = CENTER,
    CenterColor = {r = 0.88, g = 0.88, b = 0.88, a = 0.4},
    EdgeColor = {r = 0.88, g = 0.88, b = 0.88, a = 0},
    HighlightColor = {r = 0.9, g = 0.9, b = 0.9, a = 0.9},
    FontColor = {r = 0.9, g = 0.9, b = 0.9, a = 0.9},
    UseAccountSettings = true,
    Horizontal = true,
    ShowBarOnHud = true,
    ShowBarOnHudUI = true,
    ShowBarInMenu = false,
    ShowBarInInventory = false,
    ShowBarInInteract = false,
    ShowBarInBank = false,
    ShowBarInFence = false,
    ShowBarInStore = false,
    Margin = 2,
    Height = 60,
    Width = 60,
    SnapSize = 5,
    BarDepth = 1,
    ShowAssistants = {
        [267] = IsCollectibleUnlocked(267),
        [300] = IsCollectibleUnlocked(300),
        [301] = IsCollectibleUnlocked(301)
    },
    KeyBindingLocation = BOTTOM,
    ShowKeyBinding = true,
    IsAudioEnabled = true
}
baseModule.Global = {
    IsMoveEnabled = false,
    ChoisesKeyBindingLocation = {"bottom", "bottomleft", "bottomright", "center", "left", "right", "top", "topleft", "topright"}
}
baseModule.Types = {
    Banker = {
        Id = 267,
        Title = "Banker:",
        Name = "Banker",
        name = "banker",
        Tooltip = "When ON the banker button will be visible. When OFF the banker button will not be visible (disabled if locked for the account).",
        EnabledTexture = "/esoui/art/icons/" .. "assistant_banker_01.dds",
        KeyBinding = "SI_BINDING_NAME_SummonAssistant_Banker",
        Disabled = function()
            return not IsCollectibleUnlocked(267)
        end
    },
    Fence = {
        Id = 300,
        Title = "Fence:",
        Name = "Fence",
        name = "fence",
        Tooltip = "When ON the fence button will be visible. When OFF the fence button will not be visible (disabled if locked for the account).",
        EnabledTexture = "/esoui/art/icons/" .. "assistant_fence_01.dds",
        KeyBinding = "SI_BINDING_NAME_SummonAssistant_Fence",
        Disabled = function()
            return not IsCollectibleUnlocked(300)
        end
    },
    Vendor = {
        Id = 301,
        Title = "Vendor:",
        Name = "Vendor",
        name = "vendor",
        Tooltip = "When ON the vendor button will be visible. When OFF the vendor button will not be visible (disabled if locked for the account).",
        EnabledTexture = "/esoui/art/icons/" .. "assistant_vendor_01.dds",
        KeyBinding = "SI_BINDING_NAME_SummonAssistant_Vendor",
        Disabled = function()
            return not IsCollectibleUnlocked(301)
        end
    }
}
baseModule.OrderedTypes = {
    [1] = baseModule.Types["Banker"],
    [2] = baseModule.Types["Fence"],
    [3] = baseModule.Types["Vendor"]
}
